Package org.eclipse.viatra.query.runtime.rete.util

## Class Options

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.util.Options

-     public class Options
      extends java.lang.Object

  Feature switches.
  No Reference:

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Options.BuilderMethod` |
    `static class` | `Options.FunctionalDependencyOption` |
    `static class` | `Options.InjectivityStrategy` |
    `static class` | `Options.NodeSharingOption` |
    `static class` | `Options.PlanTrimOption` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Options.BuilderMethod` | `builderMethod` |
    `static boolean` | `employTrivialIndexers` |
    `static boolean` | `enableInheritance` |
    `static int` | `firstFreeContainer` |
    `static Options.FunctionalDependencyOption` | `functionalDependencyOption` |
    `static Options.InjectivityStrategy` | `injectivityStrategy` |
    `static boolean` | `MONITOR_VIOLATION_OF_DIFFERENTIAL_DATAFLOW_TIMESTAMPS` | Enable for internal debugging of message delivery in `TimelyCommunicationGroup`s; catches cases when there is a violation of increasing timestamps during message delivery within a group.
    `static boolean` | `MONITOR_VIOLATION_OF_RETE_NODEGROUP_TOPOLOGICAL_SORTING` | Enable for internal debugging of Rete communication scheme; catches cases where the topological sort is violated by a message sent "backwards"
    `static Options.NodeSharingOption` | `nodeSharingOption` |
    `static int` | `numberOfLocalContainers` |
    `static Options.PlanTrimOption` | `planTrimOption` |
    `static boolean` | `releaseOnetimeIndexers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeSharingOption

          public static final Options.NodeSharingOption nodeSharingOption

    - #### releaseOnetimeIndexers

          public static final boolean releaseOnetimeIndexers

      See Also:
        Constant Field Values

    - #### injectivityStrategy

          public static final Options.InjectivityStrategy injectivityStrategy

    - #### enableInheritance

          public static final boolean enableInheritance

      See Also:
        Constant Field Values

    - #### employTrivialIndexers

          public static final boolean employTrivialIndexers

      See Also:
        Constant Field Values

    - #### numberOfLocalContainers

          public static final int numberOfLocalContainers

      See Also:
        Constant Field Values

    - #### firstFreeContainer

          public static final int firstFreeContainer

      See Also:
        Constant Field Values

    - #### MONITOR_VIOLATION_OF_RETE_NODEGROUP_TOPOLOGICAL_SORTING

          public static final boolean MONITOR_VIOLATION_OF_RETE_NODEGROUP_TOPOLOGICAL_SORTING

      Enable for internal debugging of Rete communication scheme; catches cases where the topological sort is violated by a message sent "backwards"
      Since:
        1.6
      See Also:
        Constant Field Values

    - #### MONITOR_VIOLATION_OF_DIFFERENTIAL_DATAFLOW_TIMESTAMPS

          public static final boolean MONITOR_VIOLATION_OF_DIFFERENTIAL_DATAFLOW_TIMESTAMPS

      Enable for internal debugging of message delivery in `TimelyCommunicationGroup`s; catches cases when there is a violation of increasing timestamps during message delivery within a group.
      Since:
        2.3
      See Also:
        Constant Field Values

    - #### builderMethod

          public static final Options.BuilderMethod builderMethod

    - #### functionalDependencyOption

          public static final Options.FunctionalDependencyOption functionalDependencyOption

    - #### planTrimOption

          public static final Options.PlanTrimOption planTrimOption

  - ### Constructor Detail

    - #### Options

          public Options()